Skip to main content

Get Tag

Retrieve a single tag by its ID.

Endpointโ€‹

GET /v1/tags/{id}

Authenticationโ€‹

Requires an API key with the bookings:read scope.

Parametersโ€‹

ParameterTypeLocationDescription
idintegerpathThe tag ID

Responseโ€‹

Success (200 OK)โ€‹

{
"data": {
"id": 1,
"name": "VIP",
"created_at": "2025-01-01T00:00:00+00:00",
"updated_at": "2025-01-01T00:00:00+00:00"
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-01-15T12:00:00+00:00"
}
}

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks bookings:read scope
403forbiddenTag belongs to different supplier
404resource_not_foundTag does not exist

Example Requestโ€‹

curl -X GET "https://app.equipdash.com/api/v1/tags/1" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."